<?php

/**
 * Обработка данных, полученных от системы PayKeeper
 * 
 * @package    PayKeeper
 * @author     paykeeper.ru
 * @version    1.0
 */
if (!defined('DIAFAN')) {
    include dirname(dirname(dirname(dirname(dirname(__FILE__))))) . '/includes/404.php';
}

// запрос на подтверждение счета
if (empty($_POST['orderid'])) {
    Custom::inc('includes/404.php');
}

$pay = DB::query_fetch_array("SELECT * FROM {payment_history} WHERE id=%d LIMIT 1",$_POST['orderid']);

if (! $pay) {
    Custom::inc('includes/404.php');
}

$pay["payment"] = DB::query_fetch_array("SELECT * FROM {payment} WHERE id=%d AND payment='%s' LIMIT 1", $pay["payment_id"], 'paykeeper');
if(! $pay["payment"])
{
    Custom::inc('includes/404.php');
}
$pay["params"] = unserialize($pay["payment"]["params"]);

$secret_seed = $pay["params"]['paykeeper_secret'];
$id = $_POST['id'];
$sum = $_POST['sum'];
$clientid = $_POST['clientid'];
$orderid = $_POST['orderid'];
$key = $_POST['key'];

if ($key != md5($id . sprintf("%.2lf", $sum) .
                $clientid . $orderid . $secret_seed)) {
    echo "Error! Hash mismatch";
    exit;
}
echo "OK " . md5($id . $secret_seed);
$this->diafan->_payment->success($pay, 'pay');
exit;