<?php

/**
 * Формирует данные для формы платежной системы "PayKeeper"
 * 
 * @package    PayKeeper
 * @author     paykeeper.ru
 * @version    1.0
 */
if (!defined('DIAFAN')) {
    include dirname(dirname(dirname(dirname(dirname(__FILE__))))) . '/includes/404.php';
}

class Payment_paykeeper_model extends Diafan
{
	/**
	 * Формирует данные для формы платежной системы "PayKeeper"
	 * 
	 * @param array $params настройки платежной системы
	 * @param array $pay данные о платеже
	 * @return array
	 */
	public function get($params, $pay)
	{
		$result["sum"]        = $pay["summ"];
		$result["orderid"]    = $pay["id"];
        $result["clientid"]   = $pay["details"]["name"];
        $result["client_email"]   = $pay["details"]["email"];
        $result["phone"]      = $pay["details"]["phone"];
		$result["url"]        = $params["paykeeper_url"];

		return $result;
	}
}